<template>
  <div>
    <div class="top-filter">
      <div class="filed_wrapper">
        <div class="filed_container">
          <select v-model="searchOptions.country" class="form_input">
            <option
              v-for="item of countryCode"
              :value="item.Code"
              :key="item.Code"
            >
              {{ item.Name }}
            </option>
          </select>
        </div>
        <div class="filed_container">
          <select v-model="searchOptions.category" class="form_input">
            <option value="">
              All
            </option>
            <option :value="item" v-for="item of category" :key="item">
              {{ item }}
            </option>
          </select>
        </div>
        <div class="filed_container">
          <c-input
            v-model="searchOptions.keyword"
            class="form_input"
            type="text"
          >
          </c-input>
        </div>
        <div class="btn_wrapper">
          <button class="btn" @click="onSearch">Search</button>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import CountryCode from "../data/CountryCode.json";
export default {
  name: "Filter",
  data() {
    return {
      countryCode: CountryCode,
      category: [
        "Business",
        "Entertainment",
        "General",
        "Health",
        "Science",
        "Sports",
        "Technology",
      ],
      searchOptions: {
        country: "US",
        category: "",
        keyword: "",
      },
    };
  },
  methods: {
    onSearch() {
      this.$store.dispatch("setPageSize", 8);
      this.$store.dispatch("searchOptions", { ...this.searchOptions });
    },
  },
};
</script>
<style>
.top-filter {
  background: #374249;
  width: 100%;
}
.filed_wrapper {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  max-width: 80%;
  margin: 0 auto;
  padding: 0;
}
.filed_container,
.btn_wrapper {
  display: flex;
  padding: 10px;
  width: 50%;
}
@media (min-width: 40rem) {
  .filed_container {
    width: 50%;
  }
}
@media (min-width: 56rem) {
  .filed_container {
    width: 29.3333%;
  }
}
@media (max-width: 60rem) {
  .filed_wrapper {
    max-width: 100%;
  }
}
.btn_wrapper {
  width: 91px;
}
.form_input {
  display: block;
  width: 100%;
  padding: 5px;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.form_input:focus {
  color: #495057;
  background-color: #fff;
  border-color: #80bdff;
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}
.btn {
  background-color: #777777;
  border: none;
  color: white;
  padding: 8px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 5px;
}
.btn:hover {
  background-color: green;
}
</style>
